Bug 479896 - vim wrongly line-wraps CMakeLists.txt
vim wrongly line-wraps CMakeLists.txt
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-13 16:58 EST by Matthew Woehlke
Modified: 2009-12-02 14:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-02 11:37:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Woehlke 2009-01-13 16:58:13 EST
vim-enhanced incorrectly wraps (:tw=78) text in CmakeLists.txt, which should not be wrapped in the rigid manner that textwidth causes wrapping. This makes editing such files frustrating.

This is caused by the line 'autocmd BufRead *.txt set tw=78' in /etc/vimrc, which should probably be omitted entirely (aside from breaking in some cases, novice users may not know how to turn it off, and it is confusing because only certain files are wrapped).
Comment 1 Bug Zapper 2009-11-18 05:44:48 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Matthew Woehlke 2009-11-18 12:12:21 EST
No change in F11, don't think F12 is better but I've already changed /etc/vimrc on my F12 machine. (If needed, I can go poking in the rpm, but I suspect its vimrc is the same as F11...)
Comment 3 Karsten Hopp 2009-12-02 11:37:46 EST
I'll comment out the autocommand line in the next vim release that I'm currently working on.
Comment 4 Matthew Woehlke 2009-12-02 14:17:55 EST
Thank you!

Note You need to log in before you can comment on or make changes to this bug.